Package com.avaya.clientservices.messaging

## Class MessagingQuery

- java.lang.Object
- - com.avaya.clientservices.messaging.MessagingQuery

-     public class MessagingQuery
      extends java.lang.Object

  Messaging query data. This class provides data for the messaging service search.
  See Also:
    `MessagingService.searchConversations(DataRetrievalWatcher, MessagingQuery)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagingQuery()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getDateAfter()` | Get ISO-8601 date string; filters messages based on last-modified-date.
    `int` | `getNumResults()` | Get the number of message entries per conversation to return (if not specified, default comes from `MessagingLimits` class).
    `java.lang.String` | `getQuery()` | Get expression to be searched.
    `int` | `hashCode()` |
    `boolean` | `isSearchBody()` | Get search body attribute.
    `boolean` | `isSearchParticipants()` | Get search participants attribute.
    `boolean` | `isSearchSubject()` | Get search subjects attribute.
    `void` | `setDateAfter​(java.lang.String mDateAfter)` | Set optional ISO-8601 date string; filters messages based on last-modified-date, leave empty if all messages to be searched).
    `void` | `setNumResults​(int mNumResults)` | Set number of results to be returned.
    `void` | `setQuery​(java.lang.String mQuery)` | Set query string.
    `void` | `setSearchBody​(boolean mSearchBody)` | Set search body attribute.
    `void` | `setSearchParticipants​(boolean mSearchParticipants)` | Set search participants attribute.
    `void` | `setSearchSubject​(boolean mSearchSubject)` | Set search subject attribute.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingQuery

          public MessagingQuery()

  - ### Method Detail

    - #### getQuery

          public java.lang.String getQuery()

      Get expression to be searched. If a query is specified, the server will perform a search operation. If a query is omitted, the server will perform a getConversations operation.
      Returns:
        String to match in search.

    - #### getDateAfter

          public java.lang.String getDateAfter()

      Get ISO-8601 date string; filters messages based on last-modified-date.
      Returns:
        An optional ISO-8601 date string.

    - #### isSearchParticipants

          public boolean isSearchParticipants()

      Get search participants attribute. (Should only be true if query string is specified).
      Returns:
        true if participants are to be searched, false otherwise.

    - #### isSearchSubject

          public boolean isSearchSubject()

      Get search subjects attribute. (Should only be true if query string is specified).
      Returns:
        true if conversation subjects are to be searched, false otherwise.

    - #### isSearchBody

          public boolean isSearchBody()

      Get search body attribute. (Should only be true if query string is specified).
      Returns:
        true if message bodies are to be searched, false otherwise.

    - #### getNumResults

          public int getNumResults()

      Get the number of message entries per conversation to return (if not specified, default comes from `MessagingLimits` class).
      Returns:
        The number of messages to be returned.
      See Also:
        `MessagingService.getMessagingLimits()`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setQuery

          public void setQuery​(java.lang.String mQuery)

      Set query string.
      Parameters:
        `mQuery` - query string.

    - #### setDateAfter

          public void setDateAfter​(java.lang.String mDateAfter)

      Set optional ISO-8601 date string; filters messages based on last-modified-date, leave empty if all messages to be searched).
      Parameters:
        `mDateAfter` - ISO-8601 date string or empty string.

    - #### setSearchParticipants

          public void setSearchParticipants​(boolean mSearchParticipants)

      Set search participants attribute.
      Parameters:
        `mSearchParticipants` - true if participants to be searched, false otherwise.

    - #### setSearchSubject

          public void setSearchSubject​(boolean mSearchSubject)

      Set search subject attribute.
      Parameters:
        `mSearchSubject` - true if subject to be searched, false otherwise.

    - #### setSearchBody

          public void setSearchBody​(boolean mSearchBody)

      Set search body attribute.
      Parameters:
        `mSearchBody` - true if message bodies to be searched, false otherwise.

    - #### setNumResults

          public void setNumResults​(int mNumResults)

      Set number of results to be returned.
      Parameters:
        `mNumResults` - number of messages to be returned (if 0, the default value will be used).